"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PRODUCTION_API_URL = exports.IOS_API_URL = exports.DEVELOPMENT_API_URL = exports.Api = exports.API_URL = exports.ANDROID_API_URL = void 0;
exports.protectedGetApi = protectedGetApi;
exports.protectedPostApi = protectedPostApi;
var _asyncStorage = _interopRequireDefault(require("@react-native-async-storage/async-storage"));
var _axios = _interopRequireDefault(require("axios"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const PRODUCTION_API_URL = exports.PRODUCTION_API_URL = process.env.PRODUCTION_API_URL;
const ANDROID_API_URL = exports.ANDROID_API_URL = process.env.ANDROID_API_URL;
const IOS_API_URL = exports.IOS_API_URL = process.env.IOS_API_URL;
const DEVELOPMENT_API_URL = exports.DEVELOPMENT_API_URL = _reactNative.Platform.OS === 'android' ? ANDROID_API_URL : IOS_API_URL;
const API_URL = exports.API_URL = process.env.NODE_ENV === 'development' ? DEVELOPMENT_API_URL : PRODUCTION_API_URL;
const baseURL = API_URL + '/v1';
const Api = exports.Api = _axios.default.create({
  baseURL
});
async function protectedGetApi(path, params) {
  const authToken = await _asyncStorage.default.getItem('authToken');
  return Api.get(path, {
    params,
    headers: {
      Authorization: 'Bearer ' + authToken
    }
  });
}
async function protectedPostApi(path, data) {
  const authToken = await _asyncStorage.default.getItem('authToken');
  return Api.post(path, data, {
    headers: {
      Authorization: 'Bearer ' + authToken
    }
  });
}
//# sourceMappingURL=axios.util.js.map