"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useApi;
var _react = require("react");
var _axios = require("../axios/axios.util");
function useApi({
  dependencies = [],
  ...request
}) {
  const [data, setData] = (0, _react.useState)();
  const [loading, setLoading] = (0, _react.useState)(false);
  const [error, setError] = (0, _react.useState)();
  (0, _react.useEffect)(() => {
    setLoading(true);
    _axios.Api.request(request).then(resp => {
      setData(resp.data);
    }).catch(err => {
      setError(err);
    }).finally(() => setLoading(false));
  }, [...dependencies]);
  return {
    data,
    loading,
    error
  };
}
//# sourceMappingURL=useApi.js.map