"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useProtectedApi;
var _asyncStorage = _interopRequireDefault(require("@react-native-async-storage/async-storage"));
var _useApi = _interopRequireDefault(require("./useApi"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useProtectedApi({
  dependencies = [],
  ...request
}) {
  const response = async () => {
    const authToken = await _asyncStorage.default.getItem('authToken');
    return (0, _useApi.default)({
      ...request,
      dependencies: [...dependencies, authToken],
      headers: {
        Authorization: `Bearer ${authToken}`
      }
    });
  };
  return response();
}
//# sourceMappingURL=useProtectedApi.js.map