"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ThemeContext = void 0;
exports.default = ThemeProvider;
var _react = _interopRequireWildcard(require("react"));
var _default = require("./default");
var _fonts = require("./fonts");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const ThemeContext = exports.ThemeContext = /*#__PURE__*/(0, _react.createContext)({
  dark: false,
  initializing: true,
  fonts: (0, _fonts.getFontWeights)(""),
  colors: _default.DEFAULT_COLORS,
  fontSizes: _fonts.DEFAULT_FONTSIZES
});
function ThemeProvider({
  children,
  theme
}) {
  const fonts = (0, _fonts.getFontWeights)((theme === null || theme === void 0 ? void 0 : theme.fontFamilyName) || "undefined");
  const colors = (theme === null || theme === void 0 ? void 0 : theme.colors) || _default.DEFAULT_COLORS;
  const fontSizes = (theme === null || theme === void 0 ? void 0 : theme.fontSizes) || _fonts.DEFAULT_FONTSIZES;
  return /*#__PURE__*/_react.default.createElement(ThemeContext.Provider, {
    value: {
      dark: false,
      initializing: true,
      fonts,
      colors,
      fontSizes
    }
  }, children);
}
//# sourceMappingURL=ThemeProvider.js.map