"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = DualtoneButton;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Text = require("../texts/Text");
var _View = require("../views/View");
var _responsive = require("../responsive");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function DualtoneButton({
  width,
  height,
  colors,
  children,
  onPress,
  disabled
}) {
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: disabled ? () => {} : onPress
  }, /*#__PURE__*/_react.default.createElement(_View.View, {
    height: 0,
    width: 0,
    borderStyle: "solid",
    borderTopColor: colors[0],
    borderRightWidth: width,
    borderRightColor: colors[1],
    borderTopWidth: height,
    borderRadius: 10
  }), /*#__PURE__*/_react.default.createElement(_View.Center, _responsive.ABSOLUTE_STYLE, /*#__PURE__*/_react.default.createElement(_Text.Text, null, children)), disabled && /*#__PURE__*/_react.default.createElement(_View.View, _extends({}, _responsive.ABSOLUTE_STYLE, {
    backgroundColor: "grey",
    opacity: 0.85,
    borderRadius: 10
  })));
}
//# sourceMappingURL=DualtoneButton.js.map