"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFontWeights = exports.DEFAULT_FONTSIZES = void 0;
var _reactNative = require("react-native");
var _responsive = require("./responsive");
const fontSize = (0, _responsive.wp)(5);
const DEFAULT_FONTSIZES = exports.DEFAULT_FONTSIZES = {
  "xs": fontSize - 8,
  "sm": fontSize - 4,
  "regular": fontSize,
  "md": fontSize + 2,
  "lg": fontSize + 4,
  "xl": fontSize + 6,
  "2xl": fontSize + 8,
  "3xl": fontSize + 10,
  "4xl": fontSize + 12
};
const getFontWeights = familyName => ({
  thin: {
    fontFamily: _reactNative.Platform.select({
      android: `${familyName}-Light`,
      ios: `${familyName}-Light`,
      web: `${familyName}-Light`
    })
  },
  regular: {
    fontFamily: _reactNative.Platform.select({
      android: `${familyName}-Regular`,
      ios: `${familyName}-Regular`,
      web: `${familyName}-Regular`
    })
  },
  semiBold: {
    fontFamily: _reactNative.Platform.select({
      android: `${familyName}-SemiBold`,
      ios: `${familyName}-SemiBold`,
      web: `${familyName}-SemiBold`
    })
  },
  bold: {
    fontFamily: _reactNative.Platform.select({
      android: `${familyName}-Bold`,
      ios: `${familyName}-Bold`,
      web: `${familyName}-Bold`
    })
  },
  extraBold: {
    fontFamily: _reactNative.Platform.select({
      android: `${familyName}-Bold`,
      ios: `${familyName}-Bold`,
      web: `${familyName}-Bold`
    })
  }
});
exports.getFontWeights = getFontWeights;
//# sourceMappingURL=fonts.js.map