"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = FormikInput;
var _react = _interopRequireDefault(require("react"));
var _Text = require("../texts/Text");
var _View = require("../views/View");
var _FloatTextInput = _interopRequireDefault(require("./FloatTextInput"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function FormikInput({
  form,
  id,
  containerStyle,
  ...rest
}) {
  const handleChange = text => {
    form.setFieldTouched(id, true);
    form.setFieldValue(id, text);
  };
  const haserror = form.touched[id] && form.errors[id];
  return /*#__PURE__*/_react.default.createElement(_View.View, {
    style: containerStyle
  }, /*#__PURE__*/_react.default.createElement(_FloatTextInput.default, _extends({
    id: id,
    value: form.values[id],
    onBlur: () => form.setFieldTouched(id, true),
    onChangeText: handleChange,
    hasError: haserror
  }, rest)), haserror && /*#__PURE__*/_react.default.createElement(_Text.Text, {
    color: "error",
    size: "xs",
    marginLeft: 5
  }, form.errors[id]));
}
//# sourceMappingURL=FormikInput.js.map