"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = HorizontalSwiper;
var _react = _interopRequireWildcard(require("react"));
var _reactNativePagerView = _interopRequireDefault(require("react-native-pager-view"));
var _View = require("../views/View");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function HorizontalSwiper({
  items,
  renderItem,
  showPagination
}) {
  const [activeIndex, setActiveIndex] = (0, _react.useState)(0);
  return /*#__PURE__*/_react.default.createElement(_View.View, {
    flex: 1
  }, /*#__PURE__*/_react.default.createElement(_reactNativePagerView.default, {
    style: {
      flex: 1
    },
    initialPage: activeIndex,
    onPageSelected: e => {
      const {
        position
      } = e.nativeEvent;
      setActiveIndex(position);
    }
  }, items.map((item, i) => /*#__PURE__*/_react.default.createElement(_View.View, {
    key: i,
    flex: 1
  }, renderItem(item, i)))), showPagination && /*#__PURE__*/_react.default.createElement(_View.Row, {
    justifyContent: "center",
    marginTop: 10
  }, items.map((_, i) => /*#__PURE__*/_react.default.createElement(_View.View, {
    key: i,
    width: 10,
    height: 10,
    borderRadius: 10,
    backgroundColor: activeIndex === i ? "green" : "#ccc",
    marginHorizontal: 5
  }))));
}
//# sourceMappingURL=HorizontalSwiper.js.map