"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = BlinkText;
var _react = _interopRequireWildcard(require("react"));
var _useTheme = _interopRequireDefault(require("../useTheme"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function BlinkText({
  children
}) {
  const {
    colors
  } = (0, _useTheme.default)();
  const opacityValue = (0, _react.useRef)(new _reactNative.Animated.Value(1)).current;
  const startAnimation = (reverse = false) => {
    _reactNative.Animated.timing(opacityValue, {
      toValue: reverse ? 0.2 : 1,
      duration: 2000,
      useNativeDriver: false
    }).start(() => {
      opacityValue.setValue(reverse ? 1 : 0.2);
      startAnimation(!reverse);
    });
  };
  (0, _react.useEffect)(() => {
    startAnimation();
  }, []);
  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.Text, {
    style: [{
      color: colors.text,
      opacity: opacityValue
    }]
  }, children);
}
//# sourceMappingURL=BlinkText.js.map