"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Text = Text;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _responsive = require("../responsive");
var _useTheme = _interopRequireDefault(require("../useTheme"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function Text({
  children,
  size = "regular",
  weight = "regular",
  color = "text",
  numberOfLines,
  style,
  ...rest
}) {
  const {
    fonts,
    fontSizes,
    colors
  } = (0, _useTheme.default)();
  let fontStyle = {
    fontSize: size && fontSizes[size],
    // @ts-ignore
    color: colors[color] || color
  };

  // if(typeof color === keyof AppColors)

  if (weight) fontStyle = {
    ...fontStyle,
    ...fonts[weight]
  };
  if (!_responsive.isSmallDevice && fontStyle.fontSize) fontStyle.fontSize += 2;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({
    numberOfLines: numberOfLines
  }, rest, {
    style: [fontStyle, style, rest]
  }), children);
}
//# sourceMappingURL=Text.js.map