"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Background;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeLinearGradient = _interopRequireDefault(require("react-native-linear-gradient"));
var _BackdropLoading = _interopRequireDefault(require("../loaders/BackdropLoading"));
var _useTheme = _interopRequireDefault(require("../useTheme"));
var _responsive = require("../responsive");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function Background({
  children,
  containerStyle = {
    flex: 1
  },
  colors
}) {
  const theme = (0, _useTheme.default)();
  const [timer, setTimer] = (0, _react.useState)(1);
  (0, _react.useEffect)(() => {
    setTimeout(() => setTimer(0), 100);
  }, []);
  return /*#__PURE__*/_react.default.createElement(_reactNativeLinearGradient.default, {
    colors: colors || [theme.colors.background1, theme.colors.background2],
    style: [{
      paddingTop: _reactNative.Platform.OS === "android" ? _reactNative.StatusBar.currentHeight : (0, _responsive.hp)(2.2)
    }, containerStyle]
  }, timer > 0 && /*#__PURE__*/_react.default.createElement(_BackdropLoading.default, {
    loading: true
  }), timer === 0 && children);
}
//# sourceMappingURL=Background.js.map