"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Center = Center;
exports.Row = Row;
exports.View = View;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function View({
  style,
  ...props
}) {
  const defaultStyle = {
    backgroundColor: "transparent",
    ...props
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({}, props, {
    style: [style, defaultStyle]
  }));
}
function Center({
  children,
  ...rest
}) {
  return /*#__PURE__*/_react.default.createElement(View, _extends({
    flex: 1,
    justifyContent: "center",
    alignItems: "center"
  }, rest), children);
}
function Row({
  children,
  ...rest
}) {
  return /*#__PURE__*/_react.default.createElement(View, _extends({
    flexDirection: "row"
  }, rest), children);
}
//# sourceMappingURL=View.js.map