import { useEffect, useState } from 'react';
import { Api } from '../axios/axios.util';
export default function useApi({
  dependencies = [],
  ...request
}) {
  const [data, setData] = useState();
  const [loading, setLoading] = useState(false);
  const [error, setError] = useState();
  useEffect(() => {
    setLoading(true);
    Api.request(request).then(resp => {
      setData(resp.data);
    }).catch(err => {
      setError(err);
    }).finally(() => setLoading(false));
  }, [...dependencies]);
  return {
    data,
    loading,
    error
  };
}
//# sourceMappingURL=useApi.js.map