import AsyncStorage from '@react-native-async-storage/async-storage';
import useApi from './useApi';
export default function useProtectedApi({
  dependencies = [],
  ...request
}) {
  const response = async () => {
    const authToken = await AsyncStorage.getItem('authToken');
    return useApi({
      ...request,
      dependencies: [...dependencies, authToken],
      headers: {
        Authorization: `Bearer ${authToken}`
      }
    });
  };
  return response();
}
//# sourceMappingURL=useProtectedApi.js.map