import React, { createContext } from "react";
import { DEFAULT_COLORS } from "./default";
import { DEFAULT_FONTSIZES, getFontWeights } from "./fonts";
export const ThemeContext = /*#__PURE__*/createContext({
  dark: false,
  initializing: true,
  fonts: getFontWeights(""),
  colors: DEFAULT_COLORS,
  fontSizes: DEFAULT_FONTSIZES
});
export default function ThemeProvider({
  children,
  theme
}) {
  const fonts = getFontWeights((theme === null || theme === void 0 ? void 0 : theme.fontFamilyName) || "undefined");
  const colors = (theme === null || theme === void 0 ? void 0 : theme.colors) || DEFAULT_COLORS;
  const fontSizes = (theme === null || theme === void 0 ? void 0 : theme.fontSizes) || DEFAULT_FONTSIZES;
  return /*#__PURE__*/React.createElement(ThemeContext.Provider, {
    value: {
      dark: false,
      initializing: true,
      fonts,
      colors,
      fontSizes
    }
  }, children);
}
//# sourceMappingURL=ThemeProvider.js.map