function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import { ActivityIndicator, TouchableOpacity } from "react-native";
import { ABSOLUTE_STYLE, BUTTON_HEIGHT } from "../responsive";
import { Text } from "../texts/Text";
import useTheme from "../useTheme";
import { Center, View } from "../views/View";
const SIZES = {
  "xs": BUTTON_HEIGHT - 10,
  "sm": BUTTON_HEIGHT - 5,
  "default": BUTTON_HEIGHT,
  "md": BUTTON_HEIGHT + 5,
  "lg": BUTTON_HEIGHT + 10,
  "xl": BUTTON_HEIGHT + 15,
  "2xl": BUTTON_HEIGHT + 250
};
export default function Button({
  children,
  onPress,
  type = "solid",
  textStyle,
  loading,
  disabled,
  size = "default",
  ...rest
}) {
  const {
    colors
  } = useTheme();
  let styles = {
    height: SIZES[size],
    borderRadius: SIZES[size] / 4.5,
    backgroundColor: type === "solid" ? colors.button : "transparent",
    borderWidth: type === "outlined" ? 0.5 : 0,
    borderColor: type === "outlined" ? colors.border : ""
  };
  if (rest.background) styles.backgroundColor = colors[rest.background];
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress,
    style: [styles, rest],
    disabled: loading || disabled
  }, /*#__PURE__*/React.createElement(View, {
    flex: 1,
    padding: 5,
    paddingHorizontal: 10
  }, /*#__PURE__*/React.createElement(View, {
    flex: 1,
    alignItems: "center",
    justifyContent: "center"
  }, typeof children === "string" ? /*#__PURE__*/React.createElement(Text, _extends({}, textStyle, {
    weight: "bold"
  }), children) : children, loading && /*#__PURE__*/React.createElement(Center, ABSOLUTE_STYLE, /*#__PURE__*/React.createElement(ActivityIndicator, {
    color: colors.buttonText
  })))), disabled && /*#__PURE__*/React.createElement(View, _extends({}, ABSOLUTE_STYLE, {
    backgroundColor: "grey",
    opacity: 0.85,
    borderRadius: styles.borderRadius,
    zIndex: -1
  })));
}
//# sourceMappingURL=Button.js.map