function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import { useEffect, useRef, useState } from "react";
import { Animated } from "react-native";
import useTheme from "../useTheme";
import { Center, View } from "../views/View";
import TextInput, { INPUT_SIZES } from "./TextInput";
export default function FloatTextInput({
  label,
  suffix,
  background,
  containerStyle,
  ...rest
}) {
  const {
    colors,
    fontSizes
  } = useTheme();
  if (!background) background = "transparent";
  const [isFocused, setIsFcused] = useState(false);
  let inputHeight = INPUT_SIZES[rest.size || "md"];
  const animationValue = useRef(new Animated.Value(0)).current;
  const handleFocus = e => {
    var _rest$onFocus;
    setIsFcused(true);
    (_rest$onFocus = rest.onFocus) === null || _rest$onFocus === void 0 || _rest$onFocus.call(rest, e);
    Animated.timing(animationValue, {
      toValue: 1,
      duration: 300,
      useNativeDriver: false
    }).start();
    Animated.timing(zIndexValue, {
      toValue: 1,
      duration: 200,
      useNativeDriver: false
    }).start();
  };
  useEffect(() => {
    if (rest.value === " " || rest.value == "") return;
    if (!isFocused) handleFocus();
  }, [rest.value]);
  const handleBlur = e => {
    var _rest$onBlur;
    (_rest$onBlur = rest.onBlur) === null || _rest$onBlur === void 0 || _rest$onBlur.call(rest, e);
    if (rest.value) return;
    setIsFcused(false);
    Animated.timing(animationValue, {
      toValue: 0,
      duration: 300,
      useNativeDriver: false
    }).start();
    Animated.timing(zIndexValue, {
      toValue: -1,
      duration: 200,
      useNativeDriver: false
    }).start();
  };
  const zIndexValue = useRef(new Animated.Value(-1)).current;
  const labelStyle = {
    left: 10,
    top: animationValue.interpolate({
      inputRange: [0, 1],
      outputRange: [inputHeight / 3.5, -inputHeight / 5.2]
    }),
    fontSize: animationValue.interpolate({
      inputRange: [0, 1],
      outputRange: [fontSizes.sm, fontSizes.xs]
    }),
    color: colors.text,
    backgroundColor: animationValue.interpolate({
      inputRange: [0, 1],
      outputRange: ["transparent", background]
    }),
    zIndex: zIndexValue.interpolate({
      inputRange: [-1, 1],
      outputRange: [-1, 1]
    })
  };
  return /*#__PURE__*/React.createElement(View, containerStyle, /*#__PURE__*/React.createElement(Animated.Text, {
    style: {
      ...labelStyle,
      position: "absolute",
      fontWeight: "600",
      paddingHorizontal: 2,
      zIndex: labelStyle.zIndex
    }
  }, label), /*#__PURE__*/React.createElement(TextInput, _extends({}, rest, {
    onBlur: handleBlur,
    onFocus: handleFocus
  })), suffix && /*#__PURE__*/React.createElement(Center, {
    position: "absolute",
    right: 10,
    top: 0,
    bottom: 0
  }, suffix));
}
//# sourceMappingURL=FloatTextInput.js.map