function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import { TextInput as DefaultTextInput } from "react-native";
import useTheme from "../useTheme";
export const INPUT_SIZES = {
  xs: 35,
  sm: 40,
  md: 50,
  lg: 55,
  xl: 60
};
export default function TextInput({
  size = "md",
  hasError,
  style,
  type,
  ...rest
}) {
  const {
    colors,
    fonts
  } = useTheme();
  return /*#__PURE__*/React.createElement(DefaultTextInput, _extends({
    style: [{
      height: INPUT_SIZES[size],
      paddingLeft: 20,
      borderRadius: 15,
      borderWidth: 1,
      borderColor: hasError ? colors.error : colors.border,
      color: colors.text,
      width: "100%",
      ...fonts.semiBold
    }, style],
    placeholderTextColor: colors.secondary
  }, rest, {
    value: rest.value || "",
    onChangeText: text => {
      var _rest$onChangeText;
      if (type === "number" && isNaN(Number(text))) return;
      (_rest$onChangeText = rest.onChangeText) === null || _rest$onChangeText === void 0 || _rest$onChangeText.call(rest, text);
    },
    autoCapitalize: "none"
  }));
}
//# sourceMappingURL=TextInput.js.map