import React, { useState } from "react";
import PagerView from "react-native-pager-view";
import { Row, View } from "../views/View";
export default function HorizontalSwiper({
  items,
  renderItem,
  showPagination
}) {
  const [activeIndex, setActiveIndex] = useState(0);
  return /*#__PURE__*/React.createElement(View, {
    flex: 1
  }, /*#__PURE__*/React.createElement(PagerView, {
    style: {
      flex: 1
    },
    initialPage: activeIndex,
    onPageSelected: e => {
      const {
        position
      } = e.nativeEvent;
      setActiveIndex(position);
    }
  }, items.map((item, i) => /*#__PURE__*/React.createElement(View, {
    key: i,
    flex: 1
  }, renderItem(item, i)))), showPagination && /*#__PURE__*/React.createElement(Row, {
    justifyContent: "center",
    marginTop: 10
  }, items.map((_, i) => /*#__PURE__*/React.createElement(View, {
    key: i,
    width: 10,
    height: 10,
    borderRadius: 10,
    backgroundColor: activeIndex === i ? "green" : "#ccc",
    marginHorizontal: 5
  }))));
}
//# sourceMappingURL=HorizontalSwiper.js.map