import React from "react";
import { Pressable } from "react-native";
import { Text } from "../texts/Text";
import useTheme from "../useTheme";
import { Center, Row, View } from "../views/View";
export default function TabviewTabbar(props) {
  const routes = props.navigationState.routes;
  const {
    colors,
    dark
  } = useTheme();
  return /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Row, {
    gap: 10
  }, routes.map((route, i) => {
    const active = props.navigationState.index === i;
    return /*#__PURE__*/React.createElement(View, {
      key: route.key,
      flex: 1,
      padding: 10
    }, /*#__PURE__*/React.createElement(Pressable, {
      key: route.key,
      onPress: () => {
        props.jumpTo(route.key);
      },
      style: {
        padding: 10
      }
    }, /*#__PURE__*/React.createElement(Center, null, /*#__PURE__*/React.createElement(View, {
      key: route.key,
      style: [active && {
        borderBottomWidth: 2,
        borderBottomColor: dark ? colors.text : colors.border
      }]
    }, /*#__PURE__*/React.createElement(Text, {
      weight: active ? "bold" : "regular"
    }, route.title)))));
  })));
}
//# sourceMappingURL=TabviewTabbar.js.map