import React, { useEffect, useState } from "react";
import { Platform, StatusBar } from "react-native";
import LinearGradient from "react-native-linear-gradient";
import BackdropLoading from "../loaders/BackdropLoading";
import useTheme from "../useTheme";
import { hp } from "../responsive";
export default function Background({
  children,
  containerStyle = {
    flex: 1
  },
  colors
}) {
  const theme = useTheme();
  const [timer, setTimer] = useState(1);
  useEffect(() => {
    setTimeout(() => setTimer(0), 100);
  }, []);
  return /*#__PURE__*/React.createElement(LinearGradient, {
    colors: colors || [theme.colors.background1, theme.colors.background2],
    style: [{
      paddingTop: Platform.OS === "android" ? StatusBar.currentHeight : hp(2.2)
    }, containerStyle]
  }, timer > 0 && /*#__PURE__*/React.createElement(BackdropLoading, {
    loading: true
  }), timer === 0 && children);
}
//# sourceMappingURL=Background.js.map