import React from "react";
import { Keyboard, KeyboardAvoidingView, Platform, Pressable } from "react-native";
export default function SafeKeyboard({
  children,
  style = {}
}) {
  return /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    behavior: Platform.OS === "ios" ? "padding" : "height",
    style: [{
      flex: 1,
      paddingTop: 20
    }]
  }, /*#__PURE__*/React.createElement(Pressable, {
    style: [{
      flex: 1
    }, style],
    onPress: Keyboard.dismiss
  }, children));
}
//# sourceMappingURL=SafeKeyboard.js.map