import React, { type ReactNode } from "react";
import { DEFAULT_COLORS } from "./default";
import { DEFAULT_FONTSIZES } from "./fonts";
import type { AppFonts } from "./useTheme";
export type ThemeContextValue = {
    dark: false;
    initializing: true;
    fonts: AppFonts;
    colors: typeof DEFAULT_COLORS;
    fontSizes: typeof DEFAULT_FONTSIZES;
};
export declare const ThemeContext: React.Context<ThemeContextValue>;
export type ThemeProviderProps = {
    children: ReactNode;
    theme?: {
        fontFamilyName?: string;
        colors?: typeof DEFAULT_COLORS;
        fontSizes?: typeof DEFAULT_FONTSIZES;
    };
};
export default function ThemeProvider({ children, theme }: ThemeProviderProps): React.JSX.Element;
//# sourceMappingURL=ThemeProvider.d.ts.map