import React from "react";
import { type GestureResponderEvent } from "react-native";
import { type TextProps } from "../texts/Text";
import { type AppColors } from "../useTheme";
import { type ViewProps } from "../views/View";
declare const SIZES: {
    xs: number;
    sm: number;
    default: number;
    md: number;
    lg: number;
    xl: number;
    "2xl": number;
};
export type ButtonProps = ViewProps & {
    onPress?: ((event: GestureResponderEvent) => void) | undefined;
    type?: "outlined" | "solid" | "link" | undefined;
    color?: string;
    textStyle?: TextProps;
    loading?: boolean;
    disabled?: boolean;
    size?: keyof typeof SIZES;
    background?: keyof AppColors;
};
export default function Button({ children, onPress, type, textStyle, loading, disabled, size, ...rest }: ButtonProps): React.JSX.Element;
export {};
//# sourceMappingURL=Button.d.ts.map